#ifndef _LIGHT_H_
#define _LIGHT_H_

struct light {
	float x, y, z;
	float tx, ty, tz;
	float r, g, b;
	float fov;
};

void init_pointlight(struct light *lt, float x, float y, float z);
void init_spotlight(struct light *lt, float x, float y, float z, float tx, float ty, float tz);

void set_pointlight(struct light *lt);
void set_spotlight(struct light *spot);

#endif	/* _LIGHT_H_ */
